Bug 1661657 - Review Request: helm - A free polyphonic synth with lots of modulation
Summary: Review Request: helm - A free polyphonic synth with lots of modulation
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/mtytel/helm
Whiteboard:
: 1250833 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-21 22:16 UTC by MartinKG
Modified: 2020-07-17 07:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description MartinKG 2018-12-21 22:16:08 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/helm.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/helm-1.0.0-0.1.20180708gitabdedd5.fc29.src.rpm

Description: Helm is a free, cross-platform, polyphonic synthesizer that runs on GNU/Linux,
Mac, and Windows as a standalone program and as a LV2/VST/AU/AAX plugin.

Features:
    32 voice polyphony
    Interactive visual interface
    Powerful modulation system with live visual feedback
    Dual oscillators with cross modulation and up to 15 unison oscillators each
    Sub oscillator with shuffle wave-shaping
    Oscillator feedback and saturation for wave-shaping
    12 different wave-forms
    Blending between 12 or 24dB low/band/high pass filter
    Low/Band/High Shelf filters
    2 monophonic and 1 polyphonic LFO
    Step sequencer
    Lots of modulation sources including polyphonic after-touch
    Simple arpeggiator
    Effects: Formant filter, stutter, delay, distortion, reverb

Fedora Account System Username: martinkg

%changelog
* Thu Dec 20 2018 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-0.1.20180708gitabdedd5
- Initial build

Comment 1 MartinKG 2018-12-21 22:19:04 UTC
helm already exists in bugzilla as an orphaned package.

https://bugzilla.redhat.com/show_bug.cgi?id=1250833

Comment 2 Elliott Sales de Andrade 2019-01-16 04:13:45 UTC
I think you'll need to unbundle some of these things. For example, the fonts don't need to be shipped again in this package. And many of the things in the 'other licenses' comment should perhaps also be removed.

Comment 3 MartinKG 2019-01-16 11:28:52 UTC
@Elliott
helm does not provide font files in the binary package.

[martin@fc29 RPMS]$ rpm -q --provides x86_64/helm-1.0.0-0.1.20180708gitabdedd5.fc29.x86_64.rpm
application()
application(helm.desktop)
helm = 1.0.0-0.1.20180708gitabdedd5.fc29
helm(x86-64) = 1.0.0-0.1.20180708gitabdedd5.fc29
mimehandler(text/helm)

[martin@fc29 RPMS]$ rpm -q --provides noarch/helm-common-1.0.0-0.1.20180708gitabdedd5.fc29.noarch.rpm
helm-common = 1.0.0-0.1.20180708gitabdedd5.fc29

helm also compiles if the fonts directory has been deleted.

which parts in the 'other licenses' comment should be removed ?

Comment 4 Elliott Sales de Andrade 2019-01-17 12:30:55 UTC
I don't mean removed from the comment; I mean unbundled. I see now that the JuceLibraryCode section is mostly pregenerated (which is preferred, but not required to be re-built from source), but things like JUCE or VST3_SDK are not. Standard stuff like the zlib directory definitely should be removed and built against the system.

The fonts are in fact built in to the result via JuceLibraryCode/BinaryData.cpp. I'm not sure what to do about that.

Comment 5 Raphael Groner 2019-02-21 20:58:15 UTC
*** Bug 1250833 has been marked as a duplicate of this bug. ***

Comment 6 Matthias Runge 2019-02-22 11:13:57 UTC
worth noting, that there is also a helm, the package manager for kubernetes, see https://helm.sh/

Question is, which one of these packages should carry the name "helm".

Comment 7 Raphael Groner 2019-02-22 23:51:49 UTC
Matthias, thanks for the hint to the other helm.
Offtopic: Is there any official repository that can be used *without* that client? I read it's mostly a Microsoft thing. Maybe just a new placebo?
"Helm is the best way to find, share, and use software built for Kubernetes."

Comment 8 Raphael Groner 2019-02-22 23:53:32 UTC
(In reply to Raphael Groner from comment #7)
> Matthias, thanks for the hint to the other helm.
> Offtopic: Is there any official repository that can be used *without* that
> client?

Yes. Obviously, https://github.com/helm/charts

Comment 9 Package Review 2020-07-10 00:56:59 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 10 MartinKG 2020-07-17 07:50:06 UTC
(In reply to Matthias Runge from comment #6)
> worth noting, that there is also a helm, the package manager for kubernetes,
> see https://helm.sh/
> 
> Question is, which one of these packages should carry the name "helm".

was already discussed here [1] (/usr/bin/helm conflict with Kubernetes helm #235):
The developer answerd: Renaming the binary to Helm is enough to get around this

[1] https://github.com/mtytel/helm/issues/235


Note You need to log in before you can comment on or make changes to this bug.